# Grongus's Vanilla Overhaul

This is a comprehensive overhaul for most weapons and tools in GTFO. This game has some questionable balancing decisions that were exacerbated by Rundown 8’s borderline-AI-generated changes. In this mod I seek to fix all of them, to the best of my ability.

Anything not listed here is not changed. Vanilla stats are listed in (brackets) for comparison.

## Primary Weapons
### Accrat Golok DA Bullpup Rifle
-   Damage: 2.84 (2.1)
-   ROF: 900 (1090)
-   Mag Size: 45 (40)
-   Total Ammo: 245+45 (306+40)
-   Stagger Multi: 0.8 (1.0)
-   Hip Spread: 2.0 (2.5)

Reworking this gun to do much higher damage at a lower RPM, but with ~20% less ammo. I want Assault-Rifle style automatics (Bullpup, Burst Rifle, Assault Rifle) to be more distinct from SMGs by having higher damage and kills per mag, but less ammo and much longer reload times. They require better accuracy/performance from the player, but the reward is slightly higher too.

Compared to the Assault Rifle, it offers better headshot damage, DPS and hipfire accuracy.

### Bataldo Custom K330 Slug Shotgun
-   Total Ammo: 40+6 (38+6)
-   Shot Delay: 0.7 (0.75)

### Buckland SBS III Sawed-Off Shotgun
-   Mag Size: 3 (4)
-   Recoil minimum power: 14 (13)
-   Recoil maximum power: 15 (14)

This gun’s ammo-to-chamber-ratio doesn’t make any damn sense. Slight recoil increase, purely to enhance the punchiness of the weapon.

### Drekker Pres MOD 556 Rifle
-   Mag Size: 20 (14)
-   Reload Time: 2s (1.9s)

Giving this gun a bigger uptime advantage, which may give it a bit more reason to be taken.

### Malatack CH 4 Burst Rifle
-   Damage:  2.85 (2.71)
-   Total Ammo: 261+30 (278+30)

A buff to give players with good aim more reliable two-burst capabilities against Strikers (2 headshot, 2 bodyshot) and a very slight ammo reduction to compensate.

### Malatack LX Assault Rifle
-   Damage: 3 (2.1875)
-   Precision Multi: 0.78 (0.8)
-   Reload Time: 2.3s (1.8s)
-   Mag Size: 50 (30)
-   Total Ammo: 230+50 (312+30)
-   Stagger Multi: 0.8 (1.0)

A rework for the Malatack LX similar to the Bullpup. Gun now features a LARGE mag size as its unique feature (It is a drum after all…) giving it a much larger amount of kills-per-mag. Damage increased significantly, ammo count lowered by 26% and reload slowed significantly. 

Compared to the Bullpup, it offers better hits-to-kill on bodyshots, mag size and a more controllable RPM.

### Shelling S49 Pistol
-   Recoil max power: 1.8 (2.0)

The S49 suffers from a bad case of sight misalignment when rapid firing, this helps somewhat mitigate that without affecting the balance of the weapon.

### TR22 Hanaway DMR
-   Total Ammo: 40+8 (78+12)
-   Damage: 8 (7.51)
-   Precision Multi: 0.85 (0.87)
-   Mag Size: 8 (12)
-   Range: 30m/80m (50m/100m)
-   Reload Time: 2.4s (2.3s)
-   Shot Delay: 0.35s (0.25s)

These changes give the DMR the noteworthy ability to oneshot Strikers to the head. In exchange, the gun loses a very significant amount of ammo (about 48%).

This is a very ‘experimental’ and drastic change for the Hanaway. While I believe the slowed fire rate/reload and the dismal amount of ammunition balances things out (an ammopack will only restore one mag's worth), we will see. Better hit your shots!

### Van Auken CAB F4 Carbine
-   Range: 8m/60m (10m/65m)

This gun is an extremely good all-rounder, this change will hopefully make it a bit more of a close-quarters weapon. Doesn’t make any sense this thing has the same range as an Assault Rifle.

## Secondary Weapons
### Buckland S870 Pump Shotgun
-   Falloff Start: 5m (4m)

Giving this shotgun a little bit more leeway with its effective range, considering it’s a full-barreled special weapon. Doesn’t make much sense to me a sawed-off shotgun has more range than this.

### Buckland XDIST2 Choke Mod Shotgun
Total Ammo: 28+4 (27+4)

One more shell, as a treat.

### Drekker CLR Short Rifle
-   Firemode: 3-Round-Burst (Semi Auto)
-   Damage: 6 (4.81)
-   Total Ammo: 102+30 (166+30)
-   Shot Delay: 0.01 (0.04)

Fuck it. This is a burst weapon now. The Short Rifle now fires 3 rounds in a lightning-fast burst that can instantly kill Strikers if just 1 shot hits the head, 2 headshots for Spitters. Inaccurate from the hip, and careless use will chew through ammo reserves quickly.

Can’t be worse than how it is vanilla!

### Drekker Del P1 Precision Rifle
Reload Time: 3s (3.3s)

### Drekker INEX Drei Scattergun
-   Precision Multi: 0.6x (0.7333x)
-   Total Ammo: 11+2 (14+2)

An attempt to make the scattergun less insanely OP against bosses, while retaining its giant-destroying properties, so the Sniper has some reason to exist. The game has a 1x ‘limit’ for precision so weak spot hits will never do LESS than the gun’s regular damage, but it should have less of an insane effect on high-multiplier weakspots like Mother pustules.

Additionally, ammo count lowered. This gun gets a LOT of ammo for how insanely useful it is, against all types of enemies.

### König PR11 Sniper Rifle
-   Mag Size: 3 (2)
-   Total Ammo: 10+3 (13+2)

This gun got murdered in R8 for no real reason.

### Malatack HXC Heavy Assault Rifle
-   Total Ammo: 125+30 (119+30)
-   Recoil minimum power: 0.7 (0.8)
-   Recoil maximum power: 1.1 (1.3)

Very slight ammo increase as well as a recoil reduction to give this gun a bit more of a reason to be used compared to the Machineguns. I feel like this gun is just on the cusp of being good.

### Mastaba R66 Revolver
-   Damage: 15.05 (14.21)

This gun can now two-shot Chargers. I think it deserved it.

### Omneco EXP1 Hel Gun
-   Total Ammo: 36+9 (40+9)

### Omneco LRG Hel Rifle
-   Total Ammo: 21+5 (23+5)

## Sentry Guns
### Sniper Sentry
-   Bullet Cost: 13 (16) - max ammo is now 40 (32, 46 with bio multi)
-   Acquisition Time: 2s (2.8s)
-   Biotracker Acquisition Multi: 0.7 (0.5)
-   Biotracker Rotation Speed Multi: 1.3 (2.0)
-   Rotation Speed: 8 (6)
-   Biotracker Ammo Multiplier removed.

### HEL Auto Sentry
-   Bullet Cost: 0.6 (0.7) - max ammo is now 877 (751)
-   Biotracker Acquisition Multi: 0.9 (1.0)

### Burst Sentry
-   Biotracker Acquisition Multi: 0.9 (1.0)
-   Sentry now prioritizes tagged targets.

### Shotgun Sentry
-   Bullet Cost: 0.5 (1.58) - max ammo is now 105 (66, 133 with bio multi)
-   Damage: 1.85x10 (3.01x5)
-   Acquisition Time: 0.2s (0.5s)
-   Biotracker Acquisition Multi: 0.7 (0.25)
-   Biotracker Fire Rate Multi: 0.8 (0.6)
-   Biotracker Rotation Speed Multi: 1.2 (2.0)
-   Biotracker Ammo Multiplier removed.
-   Rotation Speed: 15 (8)
-   Max Rotation Angle: 50 (40)
-   Detection Max Angle: 50 (40)
-   Sentry now aims center mass

Sniper/Shotgun sentries no longer use less ammo firing at biotracker pings, and are as-a-whole less reliant on biotracking to be effective. HEL Auto sentry receives a slight ammo increase. To add a bit of consistency behind this mechanic, HEL Auto and Burst now acquire targets very slightly faster when they’re biotracked.

I believe that the CostOfBulletTagMulti was extremely unintuitive for new players, now the ammo count you see on the display is what you get.

### Flashlights
-   Short-Range: 10m range (8m)
-   Medium-Range #1: Beam replaced with MR2 (but whiter), 15m range (13m)
-   Medium-Range #2: 16m range (15m)
-   Wide-Range: 18m range (16m)
-   Extended-Range: 22m range (20m)
-   Long Range: 30m (25m)

Flashlight range overall has been increased, which is both a buff and a nerf - while the player has more visibility, the capacity to accidentally trigger sleepers has gone up as well.

IMO the short-range flashlight borders on comedically useless in most scenarios, and the medium-range #1’s beam is in-practice much shorter range than it states, due to the center being very dark. I’ve replaced MR1 with the beam for MR2, which does not have this problem. The color of the short-range beam was also changed to be whiter (to make all gun lights more distinct from the headlamp.)

### Other
-   Dodging has no stamina cost. I feel like dodging is pretty much useless anyways (running to the side to avoid attacks is much easier and more consistent, from my experiences) and dodging ate a SIGNIFICANT amount of stamina.
-   Minimum damage taken from falling: 4% (8%)

## Closing Thoughts
I learned how to make GTFO mods and made this in about a day. It might be a bit rough around the edges, but I still think it's a massive improvement over vanilla. If you have feedback, message me on discord - GrongusPlays. No guarantees though, as I basically just made this for me and my friends to use.

In the process of learning how to make a version that doesn't use MTFO, but that seems like it's going to be a lot of work.